Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class DatatypeMessageProvider

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.DatatypeMessageProvider

public class DatatypeMessageProvider
extends java.lang.Object
implements XMLMessageProvider

Version:
  $Id: DatatypeMessageProvider.java,v 1.10 2001/07/19 22:36:15 sandygao Exp $
Author:
  Jeffrey Rodriguez

Field Summary
`static java.lang.String` | `DATATYPE_DOMAIN` The domain of messages concerning the XML Schema: Datatypes specification.
`static java.lang.String[]` | `fgMessageKeys`
`static int` | `FRACTION_EXCEEDED`
`static int` | `FRACTION_GREATER_TOTALDIGITS`
`static int` | `ILLEGAL_ANYSIMPLETYPE_FACET`
`static int` | `ILLEGAL_ANYURI_FACET`
`static int` | `ILLEGAL_BASE64_FACET`
`static int` | `ILLEGAL_BOOLEAN_FACET`
`static int` | `ILLEGAL_DATETIME_FACET`
`static int` | `ILLEGAL_DECIMAL_FACET`
`static int` | `ILLEGAL_DOUBLE_FACET`
`static int` | `ILLEGAL_FACET_VALUE`
`static int` | `ILLEGAL_FLOAT_FACET`
`static int` | `ILLEGAL_HEXBINARY_FACET`
`static int` | `ILLEGAL_LIST_FACET`
`static int` | `ILLEGAL_NOTATION_FACET`
`static int` | `ILLEGAL_QNAME_FACET`
`static int` | `ILLEGAL_STRING_FACET`
`static int` | `ILLEGAL_UNION_FACET`
`static int` | `INVALID_ENUM_VALUE`
`static int` | `MSG_BAD_MAJORCODE`
`static int` | `MSG_FORMAT_FAILURE`
`static int` | `MSG_MAX_CODE`
`static int` | `MSG_NONE`
`static int` | `NOT_BOOLEAN`
`static int` | `NOT_DECIMAL`
`static int` | `NOT_DOUBLE`
`static int` | `NOT_ENUM_VALUE`
`static int` | `NOT_FLOAT`
`static int` | `OUT_OF_BOUNDS`
`static int` | `TOTALDIGITS_EXCEEDED`

Constructor Summary
`DatatypeMessageProvider()`

Method Summary
`java.lang.String` | `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()` get the local used for error messages
`void` | `setLocale(java.util.Locale locale)` Set the locale used for error messages

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE_DOMAIN

    public static final java.lang.String DATATYPE_DOMAIN

  The domain of messages concerning the XML Schema: Datatypes specification.

### MSG_BAD_MAJORCODE

    public static final int MSG_BAD_MAJORCODE

### MSG_FORMAT_FAILURE

    public static final int MSG_FORMAT_FAILURE

### NOT_BOOLEAN

    public static final int NOT_BOOLEAN

### NOT_DECIMAL

    public static final int NOT_DECIMAL

### NOT_FLOAT

    public static final int NOT_FLOAT

### NOT_DOUBLE

    public static final int NOT_DOUBLE

### INVALID_ENUM_VALUE

    public static final int INVALID_ENUM_VALUE

### OUT_OF_BOUNDS

    public static final int OUT_OF_BOUNDS

### NOT_ENUM_VALUE

    public static final int NOT_ENUM_VALUE

### FRACTION_GREATER_TOTALDIGITS

    public static final int FRACTION_GREATER_TOTALDIGITS

### FRACTION_EXCEEDED

    public static final int FRACTION_EXCEEDED

### TOTALDIGITS_EXCEEDED

    public static final int TOTALDIGITS_EXCEEDED

### ILLEGAL_FACET_VALUE

    public static final int ILLEGAL_FACET_VALUE

### ILLEGAL_ANYURI_FACET

    public static final int ILLEGAL_ANYURI_FACET

### ILLEGAL_BOOLEAN_FACET

    public static final int ILLEGAL_BOOLEAN_FACET

### ILLEGAL_BASE64_FACET

    public static final int ILLEGAL_BASE64_FACET

### ILLEGAL_DATETIME_FACET

    public static final int ILLEGAL_DATETIME_FACET

### ILLEGAL_DECIMAL_FACET

    public static final int ILLEGAL_DECIMAL_FACET

### ILLEGAL_DOUBLE_FACET

    public static final int ILLEGAL_DOUBLE_FACET

### ILLEGAL_FLOAT_FACET

    public static final int ILLEGAL_FLOAT_FACET

### ILLEGAL_HEXBINARY_FACET

    public static final int ILLEGAL_HEXBINARY_FACET

### ILLEGAL_NOTATION_FACET

    public static final int ILLEGAL_NOTATION_FACET

### ILLEGAL_QNAME_FACET

    public static final int ILLEGAL_QNAME_FACET

### ILLEGAL_STRING_FACET

    public static final int ILLEGAL_STRING_FACET

### ILLEGAL_LIST_FACET

    public static final int ILLEGAL_LIST_FACET

### ILLEGAL_UNION_FACET

    public static final int ILLEGAL_UNION_FACET

### ILLEGAL_ANYSIMPLETYPE_FACET

    public static final int ILLEGAL_ANYSIMPLETYPE_FACET

### MSG_MAX_CODE

    public static final int MSG_MAX_CODE

### MSG_NONE

    public static final int MSG_NONE

### fgMessageKeys

    public static final java.lang.String[] fgMessageKeys

Constructor Detail

### DatatypeMessageProvider

    public DatatypeMessageProvider()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale used for error messages
  Specified by:
    setLocale in interface XMLMessageProvider
  Parameters:
    `locale` - the new locale

### getLocale

    public java.util.Locale getLocale()

  get the local used for error messages
  Specified by:
    getLocale in interface XMLMessageProvider
  Returns:
    the locale

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Specified by:
    createMessage in interface XMLMessageProvider
  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.